Gdaltools DEM (Terrain model) broken

2013-03-21 02:52 AM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: XP Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16374

Description

This error occurs when I try to open the Gdaltools DEM (Terrain model) on qgis master (c182e8a)

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/lucalant/.qgis//python/plugins\\GdalTools\\GdalTools.py", line 367, in doDEM

    self.runToolDialog( d )

  File "C:/Users/lucalant/.qgis//python/plugins\\GdalTools\\GdalTools.py", line 370, in runToolDialog

    dlg.show_()

  File "C:/Users/lucalant/.qgis//python/plugins\\GdalTools\\tools\\widgetPluginBase.py", line 44, in show_

    self.onLayersChanged()

  File "C:/Users/lucalant/.qgis//python/plugins\\GdalTools\\tools\\doDEM.py", line 71, in onLayersChanged

    self.inSelector.setLayers( Utils.LayerRegistry.instance().getRasterLayers() )

  File "C:/Users/lucalant/.qgis//python/plugins\\GdalTools\\tools\\GdalTools_utils.py", line 161, in getRasterLayers

    return filter( self.isRaster, LayerRegistry.layers )

  File "C:/Users/lucalant/.qgis//python/plugins\\GdalTools\\tools\\GdalTools_utils.py", line 156, in isRaster

    if layer.usesProvider() and layer.providerKey() != 'gdal':

AttributeError: 'QgsRasterLayer' object has no attribute 'usesProvider'

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, c182e8a

Python path: ['C:/OSGEO4w/apps/qgis-dev/./python/plugins\\\\sextante', 'C:/Users/lucalant/.qgis//python/plugins\\\\permaclim',

'C:/OSGEO4w/apps/qgis-dev/./python', 'C:/Users/lucalant/.qgis//python', 'C:/Users/lucalant/.qgis//python/plugins',

'C:/OSGEO4w/apps/qgis-dev/./python/plugins', 'C:\\\\OSGEO4w\\\\bin\\\\python27.zip', 'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGEO4w\\\\bin', 'C:\\\\OSGEO4w\\\\apps\\\\Python27',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGEO4w\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGEO4w\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools', 'C:/Users/lucalant/.qgis']

History
#1 - 2013-03-21 03:05 AM - Giovanni Manghi

- Status changed from Open to Feedback

it happens when opening or running the tool? On opening I have no error here on master/windows seven.

#2 - 2013-03-21 03:20 AM - Salvatore Larosa

In current master doesn't exist that code line, you are using an old version

of GDalTools. Try to delete the directory C:/Users/lucalant/.qgis/python/plugins/GdalTools

and running again the tool. GDalTools is a core plugin.

#3 - 2013-03-21 03:26 AM - Luca Lanteri

on opening. Same error with win 7.

The tool work fine if no raster data is loaded in TOC but crash when i try to open it with a tiff in TOC.

#4 - 2013-03-21 03:43 AM - Luca Lanteri

Ok, now it works. I think the problem is due to a previous installed version.

Thanks !!!

#5 - 2013-03-21 03:55 AM - Salvatore Larosa

- Status changed from Feedback to Closed
